Skip to content

Identity & Access Management

All operations require authentication.

1 operationv2/iam/authorization
Agent setup

Check authorizations on resourcesProduction

POST
/v2/iam/authorization/check

Checks the listed actions against each resourceURN. Returns, per resource, which actions are authorized and which are not.

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Request body (required)

actions
required
string[]

List of actions to check authorizations for

resourceURNs
required
string[]

Resources on which accesses should be checked

Response

200AuthorizeBatchResponse[]successful operation
authorizedActions
read-only
string[]

Actions from your request that the caller is allowed to perform on the resource

resourceURN
read-only
string

URN of the resource

unauthorizedActions
read-only
string[]

Actions from your request that the caller is not allowed to perform on the resource

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/iam/authorization/check \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "authorizedActions": [ "string" ], "resourceURN": "string", "unauthorizedActions": [ "string" ] }]